Skip to main content
`Ctrl`+`K`

# TSAdaptGetStepLimits

Get the minimum and maximum step sizes to be considered by the time step controller

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetStepLimits(TSAdapt adapt, PetscReal *hmin, PetscReal *hmax)

Not Collective

## Input Parameter

- adapt - time step adaptivity context, usually gotten with `TSGetAdapt()`

## Output Parameters

- hmin - minimum time step

- hmax - maximum time step

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdapt`, `TSAdaptSetStepLimits()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages